package com.diagbot.facade.data;

import com.diagbot.entity.MedAbnormalInfo;
import com.diagbot.service.impl.MedAbnormalInfoServiceImpl;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class AMedAbnormalInfoFacade extends MedAbnormalInfoServiceImpl {
    /**
     * 接口日志记录
     *
     * @param paramIn
     * @param paramOut
     * @param remark
     */
    public void saveAbnormalInfo(String moduleName, String recId, String paramIn, String paramOut, String remark) {
        MedAbnormalInfo medAbnormalInfo = new MedAbnormalInfo();
        medAbnormalInfo.setModuleName(moduleName);
        medAbnormalInfo.setRecId(recId);
        medAbnormalInfo.setParamIn(paramIn);
        medAbnormalInfo.setParamOut(paramOut);
        medAbnormalInfo.setRamark(remark);
        medAbnormalInfo.setGmtCreate(new Date());
        this.save(medAbnormalInfo);
    }
}
